Compress::Zip::File::Entry - Crystal 1.7.2

# class Compress::Zip::File::Entry

- Compress::Zip::File::Entry
- Reference
- Object

##
Overview

An entry inside a `Zip::File`.

Use the `#open` method to read from it.

##
Included Modules

- Compress::Zip::FileInfo

##
Defined in:

compress/zip/file.cr

##
Instance Method Summary

- #open(&)

  Yields an `IO` to read this entry's contents.

### Instance methods inherited from module `Compress::Zip::FileInfo`

comment comment, comment=(comment) comment=, compressed_size compressed_size, compressed_size=(compressed_size) compressed_size=, compression_method compression_method, compression_method=(compression_method) compression_method=, crc32 crc32, crc32=(crc32) crc32=, dir? : Bool dir?, extra extra, extra=(extra) extra=, file? : Bool file?, filename filename, filename=(filename) filename=, general_purpose_bit_flag general_purpose_bit_flag, general_purpose_bit_flag=(general_purpose_bit_flag) general_purpose_bit_flag=, offset offset, offset=(offset) offset=, time : Time time, time=(time : Time) time=, uncompressed_size uncompressed_size, uncompressed_size=(uncompressed_size) uncompressed_size=, version : UInt16 version, version=(version : UInt16) version=

### Constructor methods inherited from module `Compress::Zip::FileInfo`

new(filename : String, time = Time.utc, comment = "", extra = Bytes.empty) new

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message = nil) not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def open(&) #

Yields an `IO` to read this entry's contents. Multiple entries can be opened and read concurrently.